package repository

import "context"

type gUserRepository interface {
	//FindByAccount 根据 account 查询用户
	FindByAccount(ctx context.Context, account string) *AccountDO

	//Create 创建用户
	Create(ctx context.Context, data *AccountDO) error

	//UpdateById 根据ID更新用户
	UpdateById(ctx context.Context, data *AccountDO) error
}

var GUser gUserRepository = new(gUserRepositoryImpl)
